exit 1
else
case $with_distro in
- debian|gentoo)
+ debian|gentoo|suse)
;;
*)
- echo "Your distribution (${with_distro}) is not yet supported! (patches welcome)"
- exit 1
+ echo "Your distribution (${with_distro}) is not yet supported, init scripts and dbus configuration will not be installed! (patches welcome)"
;;
esac
initscript/Makefile
initscript/Debian/Makefile
initscript/Gentoo/Makefile
+initscript/SUSE/Makefile
avahi-dnsconfd/Makefile
])
AC_OUTPUT
--- /dev/null
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: avahi
+# Required-Start: $network dbus
+# Default-Start: 3 5
+# Default-Stop:
+# Description: Avahi, a ZeroConf daemon for mDNS and service registration
+### END INIT INFO
+
+AVAHI_BIN=/usr/bin/avahi
+test -x $AVAHI_BIN || exit 5
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting Avahi daemon"
+ startproc $AVAHI_BIN -D
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down Avahi daemon"
+ killproc -TERM $AVAHI_BIN
+ rc_status -v
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ force-reload|reload)
+ echo -n "Reloading Avahi daemon"
+ killproc -HUP $AVAHI_BIN
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for Avahi daemon: "
+ checkproc $AVAHI_BIN
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+